do not use __builtin__ in Python3

Bug #1290234 reported by Fengqian on 2014-03-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Bandit
Undecided
Shuquan Huang
Glance
Undecided
Xurong Yang
Magnum
Fix Released
Undecided
Shuquan Huang
OpenStack Compute (nova)
Undecided
Abhishek Kekane
OpenStack DBaaS (Trove)
Low
Victor Stinner
OpenStack Identity (keystone)
Low
Ravi Shekhar Jethani
Swift Authentication
Undecided
zhangguoqing
octavia
Fix Released
Low
Shuquan Huang

Bug Description

__builtin__ does not exist in Python 3, use six.moves.builtins instead.

Fengqian (fengqian-gao) on 2014-03-10
Changed in tuskar:
assignee: nobody → Fengqian (fengqian-gao)
status: New → In Progress
Changed in tuskar:
importance: Undecided → Low

Reviewed: https://review.openstack.org/79269
Committed: https://git.openstack.org/cgit/openstack/tuskar/commit/?id=6251923ed8759a647b89699aba51a237d744d8d0
Submitter: Jenkins
Branch: master

commit 6251923ed8759a647b89699aba51a237d744d8d0
Author: Fengqian Gao <email address hidden>
Date: Mon Mar 10 15:39:05 2014 +0800

    Do not use __builtin__ in python3

    __builtin__ does not exist in Python 3, use
    six.moves.builtins instead.

    closes-bug: #1290234

    Change-Id: Icb13e1d8e741b4d276140e2ca2eb9258225c3a3e

Changed in tuskar:
status: In Progress → Fix Committed
Xurong Yang (idopra) on 2014-03-13
Changed in ironic:
assignee: nobody → Xurong Yang (idopra)
status: New → In Progress
Xurong Yang (idopra) on 2014-03-13
Changed in glance:
assignee: nobody → Xurong Yang (idopra)
status: New → In Progress
Changed in cinder:
assignee: nobody → Xurong Yang (idopra)
status: New → In Progress
Changed in heat:
assignee: nobody → Xurong Yang (idopra)
status: New → In Progress
Xurong Yang (idopra) on 2014-03-13
Changed in neutron:
assignee: nobody → Xurong Yang (idopra)
status: New → In Progress
lvdongbing (dbcocle) on 2014-03-13
Changed in trove:
assignee: nobody → lvdongbing (dbcocle)
Changed in cinder:
importance: Undecided → Low
milestone: none → next
Changed in tuskar:
status: Fix Committed → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/82702

Changed in trove:
status: New → In Progress
Changed in ironic:
importance: Undecided → Low

Reviewed: https://review.openstack.org/80144
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=daf7998996abf18f873ce1a5d2a65846a808b356
Submitter: Jenkins
Branch: master

commit daf7998996abf18f873ce1a5d2a65846a808b356
Author: yangxurong <email address hidden>
Date: Thu Mar 13 10:00:11 2014 +0800

    Do not use __builtin__ in python3

    __builtin__ does not exist in Python 3, use
    six.moves.builtins instead.

    Change-Id: I79b61b5ab67f491ce88015f799ff7d66c9eeb7ee
    closes-bug: #1290234

Changed in ironic:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-04-01
Changed in ironic:
milestone: none → icehouse-rc1
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/80145
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=d2a81315316a95dbb6888f778e4f207582c626c3
Submitter: Jenkins
Branch: master

commit d2a81315316a95dbb6888f778e4f207582c626c3
Author: yangxurong <email address hidden>
Date: Thu Mar 13 10:04:16 2014 +0800

    Do not use __builtin__ in python3

    __builtin__ does not exist in Python 3, use
    six.moves.builtins instead.

    Change-Id: If7d2838b0b90ac2d82c4d62c6dfb3c011f937a0b
    closes-bug: #1290234

Changed in glance:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-04-17
Changed in ironic:
milestone: icehouse-rc1 → 2014.1
Changed in trove:
importance: Undecided → Low
Thierry Carrez (ttx) on 2014-06-11
Changed in glance:
milestone: none → juno-1
status: Fix Committed → Fix Released
lvdongbing (dbcocle) on 2014-06-12
Changed in nova:
assignee: nobody → lvdongbing (dbcocle)

Fix proposed to branch: master
Review: https://review.openstack.org/99525

Changed in nova:
status: New → In Progress

Change abandoned by Duncan Thomas (<email address hidden>) on branch: master
Review: https://review.openstack.org/80207
Reason: Abandoning change: No update for more than 14 days

Change abandoned by Joe Gordon (<email address hidden>) on branch: master
Review: https://review.openstack.org/99525
Reason: No activity in a while, and see -2

Angus Salkeld (asalkeld) on 2014-10-03
Changed in heat:
importance: Undecided → Low
Thierry Carrez (ttx) on 2014-10-16
Changed in glance:
milestone: juno-1 → 2014.2
Sean Dague (sdague) wrote :

Until there is an eventlet story for python3, this kind of bug is pointless. Removing from Nova.

no longer affects: nova
Angus Salkeld (asalkeld) on 2015-04-01
Changed in heat:
status: In Progress → Triaged
Sean McGinnis (sean-mcginnis) wrote :

Automatically unassigning due to inactivity.

Changed in cinder:
assignee: Xurong Yang (idopra) → nobody
status: In Progress → Triaged
Eric Harney (eharney) wrote :

Does not seem to apply to current Cinder, removing.

Changed in cinder:
milestone: next → none
no longer affects: cinder
Shuquan Huang (shuquan) on 2015-12-30
Changed in bandit:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/262497

Changed in bandit:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-30
Changed in magnum:
assignee: nobody → Shuquan Huang (shuquan)
Changed in octavia:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/262512

Changed in magnum:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/262516

Changed in octavia:
status: New → In Progress
Changed in nova:
assignee: nobody → Abhishek Kekane (abhishek-kekane)
Changed in keystone:
assignee: nobody → Abhishek Kekane (abhishek-kekane)
Changed in keystone:
importance: Undecided → Low
milestone: none → mitaka-2
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/262773

Changed in keystone:
assignee: Abhishek Kekane (abhishek-kekane) → Ravi Shekhar Jethani (ravishekar-jethani)
Changed in nova:
assignee: Abhishek Kekane (abhishek-kekane) → Ravi Shekhar Jethani (ravishekar-jethani)
status: New → In Progress
Changed in nova:
assignee: Ravi Shekhar Jethani (ravishekar-jethani) → Abhishek Kekane (abhishek-kekane)
Changed in keystone:
assignee: Ravi Shekhar Jethani (ravishekar-jethani) → Abhishek Kekane (abhishek-kekane)

Reviewed: https://review.openstack.org/262512
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=e1425601ea2de46e5f9dc25b9d4e956292392ae0
Submitter: Jenkins
Branch: master

commit e1425601ea2de46e5f9dc25b9d4e956292392ae0
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Wed Dec 30 21:45:52 2015 +0800

    Do not use __builtin__ in python3

    __builtin__ does not exist in Python 3, use
    six.moves.builtins instead.

    Change-Id: I39cee402b58f98690851c45990f9bbfbebbd95d7
    Patially-Implements: blueprint magnum-python3
    closes-bug: #1290234

Changed in magnum:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/262497
Committed: https://git.openstack.org/cgit/openstack/bandit/commit/?id=4498df19d3608e72855c156a050f47ef85aa2d72
Submitter: Jenkins
Branch: master

commit 4498df19d3608e72855c156a050f47ef85aa2d72
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Wed Dec 30 21:30:16 2015 +0800

    use six.moves.builtins in python3

    __builtin__ does not exist in Python 3, use
    six.moves.builtins instead.

    Change-Id: Ib38cc3bd25e1e6a1e6f5e2fcc7abcdba8e339a6e
    closes-bug: #1290234

Changed in bandit:
status: In Progress → Fix Released
Changed in keystone:
assignee: Abhishek Kekane (abhishek-kekane) → Ravi Shekhar Jethani (ravishekar-jethani)
no longer affects: swauth
Changed in swauth:
assignee: nobody → zhangguoqing (474751729-o)

Fix proposed to branch: master
Review: https://review.openstack.org/263753

Changed in swauth:
status: New → In Progress

Reviewed: https://review.openstack.org/262773
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=3db7564fb795844a961f3dbddcc714a764dcab63
Submitter: Jenkins
Branch: master

commit 3db7564fb795844a961f3dbddcc714a764dcab63
Author: Ravi Shekhar Jethani <email address hidden>
Date: Thu Dec 31 01:36:37 2015 -0800

    Do not use __builtin__ in python3

    __builtin__ does not exist in Python 3, use
    six.moves.builtins instead.

    Change-Id: Idcaa582190fbb655f7e3e965a3a165137bdd9e3c
    Closes-Bug: #1290234

Changed in keystone:
status: In Progress → Fix Released
Dmitry Tantsur (divius) on 2016-01-06
no longer affects: ironic

Reviewed: https://review.openstack.org/263753
Committed: https://git.openstack.org/cgit/openstack/swauth/commit/?id=da906b14a3f04bc858eb541361af86c2dac14f33
Submitter: Jenkins
Branch: master

commit da906b14a3f04bc858eb541361af86c2dac14f33
Author: zhangguoqing <zhang.guoqing@99cloud.net>
Date: Tue Jan 5 14:42:52 2016 +0000

    Do not use __builtin__ in python3

    __builtin__ does not exist in Python 3, use
    six.moves.builtins instead.

    Change-Id: I1256f7df641af1085daca1d1ad2c34cb44cda265
    closes-bug: #1290234

Changed in swauth:
status: In Progress → Fix Released
Changed in octavia:
importance: Undecided → Low

This issue was fixed in the openstack/keystone 9.0.0.0b2 development milestone.

Reviewed: https://review.openstack.org/262516
Committed: https://git.openstack.org/cgit/openstack/octavia/commit/?id=6e51606b56a213873b756e367bb36d8b605015ef
Submitter: Jenkins
Branch: master

commit 6e51606b56a213873b756e367bb36d8b605015ef
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Wed Dec 30 21:51:29 2015 +0800

    Do not use __builtin__ in python3

    __builtin__ does not exist in Python 3, use
    six.moves.builtins instead.

    Change-Id: I58d456669abcbc58c9a3df8f15f24996a71b299b
    closes-bug: #1290234

Changed in octavia:
status: In Progress → Fix Released

Change abandoned by Ravi Shekhar Jethani (<email address hidden>) on branch: master
Review: https://review.openstack.org/262774
Reason: This is fixed in https://review.openstack.org/#/c/266708

Changed in nova:
status: In Progress → Fix Released
Dougal Matthews (d0ugal) on 2016-03-07
no longer affects: tuskar
Amrith Kumar (amrith) wrote :

Victor is working on Python 3 things for Trove now

Changed in trove:
assignee: lvdongbing (dbcocle) → Victor Stinner (victor-stinner)
Thomas Herve (therve) on 2016-04-19
no longer affects: heat
no longer affects: neutron

This issue was fixed in the openstack/magnum 2.0.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers